[all]
copyright=(C) 2009, cFos Software GmbH
designer=Ingo Guenther
version=cFosSkin V1.0
name=Traffic Analysis Insight XL;Pumpkin
type=net,comport
background=background_blank_l.png
;background=background_color_l.png
background2=background_l.png
main_rect=266,0,512,126
blend_time=300
blend_out_time=500
transparentcolor=255,0,0
transform1=204,0,0,218,255,255,37,100,0,37,255,255
x_ofs=-4
y_ofs=-4

; font definitions
[slot_disabled]
fontname=Trebuchet MS
fontsize=18
fontweight=normal
fontcolor=192,192,192
shadow_x=1
shadow_y=1
shadow_color=40,40,40

[slot_enabled]
fontname=Trebuchet MS
fontsize=18
fontweight=normal
fontcolor=255,255,255
shadow_x=1
shadow_y=1
shadow_color=40,40,40

; "current connections" button
[disp1]
method=activearea
rect=440,6,466,28
bitmap=button_console_l.png
action=exec
target=mshta.exe
parameters="~p\pub\console.htm"
regions=2
blend_in=128
blend_time=200

; switch on low latency lock
[disp2]
method=activearea
rect=460,6,486,28
bitmap=button_latency_off_l.png
action=spdcmd
target=gset latency 1 -save
blend_in=128
blend_time=200
regions=2
enabled=0

; switch off low latency lock
[disp3]
method=activearea
rect=460,6,486,28
bitmap=button_latency_on_l.png
action=spdcmd
target=gset latency 2 -save
blend_in=128
blend_time=200
regions=2
enabled=0

; activate low latency lock on switch
[disp4]
method=activate
value=latency_mode
min=2
max=2
target=disp2

;activate low latency locked / lock off switch
[disp5]
method=activate
value=latency_mode
min=1
max=1
target=disp3

; "change window size" button
[disp6]
method=activearea
rect=480,6,506,28
bitmap=button_resize_l.png
action=change_skin
parameters=~i\ta_insight_skin\net07.ini
regions=2
blend_in=128
blend_time=200

; rx/tx activity indicator
[disp7]
method=delta
value=rx_data_cnt
disp=rx_activity
updatetime=200

[rx_activity]
method=motion
rect=444,32,463,51
bitmap=rx_active_l.png
frames=8
min=1
updatetime=200

[disp8]
method=delta
value=tx_data_cnt
disp=tx_activity
updatetime=200

[tx_activity]
method=motion
rect=444,54,463,73
bitmap=tx_active_l.png
frames=8
min=1
updatetime=200

; text displays
[disp9]
method=text
value=ping_time
digits=3
rect=444,30,502,52
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=205,205,205
shadow_x=1
shadow_y=1
shadow_color=40,40,40
format=r
flags=br
style=e
updatetime=200

[disp10]
method=text
value=tcp_udp_cnt
digits=3
rect=444,52,502,74
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=192,192,0
shadow_x=1
shadow_y=1
shadow_color=40,40,40
format=r
flags=br
updatetime=200

[disp11]
method=text
value=tcp_cnt
digits=3
rect=444,52,502,74
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=22,119,255
shadow_x=1
shadow_y=1
shadow_color=40,40,40
format=r
flags=br
updatetime=200
enabled=0

[disp12]
method=text
value=udp_cnt
digits=3
rect=444,52,502,74
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=238,64,244
shadow_x=1
shadow_y=1
shadow_color=40,40,40
format=r
flags=br
updatetime=200
enabled=0

[disp13]
value=rx_speed
method=animation
rect=446,92,500,94
bitmap=active_bar_l.png
frames=28
min=0
max=100
updatetime=400
transform1= 0,0,0,360,255,255,34,192,192,35,192,192

[disp14]
value=total_rx_speed
method=animation
rect=446,92,500,94
bitmap=active_bar_l.png
frames=28
min=0
max=100
updatetime=400
transform1= 0,0,0,360,255,255,34,192,192,35,192,192
alpha_val=100

[disp15]
method=text
value=rx_cps
digits=5
rect=442,72,502,94
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=205,140,56
shadow_x=1
shadow_y=1
shadow_color=40,40,40
style=d
decimals=1
flags=b
format=r
updatetime=200

[disp16]
value=tx_speed
method=animation
rect=446,114,500,116
bitmap=active_bar_l.png
frames=28
min=0
max=100
updatetime=400
transform1= 0,0,0,360,255,255,108,255,192,109,255,192

[disp17]
value=total_tx_speed
method=animation
rect=446,114,500,116
bitmap=active_bar_l.png
frames=28
min=0
max=100
updatetime=400
transform1= 0,0,0,360,255,255,108,255,192,109,255,192
alpha_val=100

[disp18]
method=text
value=tx_cps
digits=5
rect=442,94,502,116
fontname=Trebuchet MS
fontsize=18
fontweight=bold
fontcolor=38,192,0
shadow_x=1
shadow_y=1
shadow_color=40,40,40
style=d
decimals=1
flags=b
format=r
updatetime=200

[disp19]
method=animation
value=variance_index
rect=285,11,331,45
bitmap=variance_l.png
frames=41
min=0
max=40
update_time=400
alpha_val=120
enabled=0

; "tx shape" effect
[disp_txs]
method=animation
value=tx_shape_effect
rect=315,12,328,27
bitmap=tx_shape_l.png
frames=10
min=0
max=9
alpha_val=180
enabled=0

; background for "configure slots" button
[disp31]
value=open
method=animation
rect=419,4,442,30
bitmap=button_back_l.png
frames=1

[disp20]
method=motion
value=rx_cps
min=0
rect=286,102,434,110
bitmap=grid_l.png
updatetime=400

; slot graphs
[disp21]
method=history
value=slot10_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=153,153,153
zero_blank=1

[disp22]
method=history
value=slot9_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=38,192,0
zero_blank=1

[disp23]
method=history
value=slot8_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=255,130,0
zero_blank=1

[disp24]
method=history
value=slot7_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=192,0,192
zero_blank=1

[disp25]
method=history
value=slot6_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=146,59,228
zero_blank=1

[disp26]
method=history
value=slot5_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=3,0,192
zero_blank=1

[disp27]
method=history
value=slot4_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=39,128,220
zero_blank=1

[disp28]
method=history
value=slot3_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=0,192,192
zero_blank=1

[disp29]
method=history
value=slot2_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=190,191,0
zero_blank=1

[disp30]
method=history
value=slot1_speed
updatetime=400
historysize=38
max=100
rect=284,18,434,112
line_size=2
line_color=192,0,0
zero_blank=1

; background for "configure slots" button
[disp32]
value=open
method=animation
rect=419,4,442,30
bitmap=button_slots_back_l.png
frames=1
enabled=0

; "configure slots" button
[disp33]
method=activearea
rect=420,6,446,28
bitmap=button_slots_l.png
action=exec
target=mshta.exe
parameters="~p\pub\slot.cfhta"
blend_in=128
blend_time=200
regions=2
enabled=0

;switch slots on / toggle disps
[disp41]
method=activearea
rect=26,10,138,30
bitmap=slot_switch_l.png
action=toggle
target=disp30,disp41,disp51,disp61,disp71,disp81
regions=0
enabled=0

[disp42]
method=activearea
rect=26,32,138,52
bitmap=slot_switch_l.png
action=toggle
target=disp29,disp42,disp52,disp62,disp72,disp82
regions=0
enabled=0

[disp43]
method=activearea
rect=26,54,138,74
bitmap=slot_switch_l.png
action=toggle
target=disp28,disp43,disp53,disp63,disp73,disp83
regions=0
enabled=0

[disp44]
method=activearea
rect=26,76,138,96
bitmap=slot_switch_l.png
action=toggle
target=disp27,disp44,disp54,disp64,disp74,disp84
regions=0
enabled=0

[disp45]
method=activearea
rect=26,98,138,118
bitmap=slot_switch_l.png
action=toggle
target=disp26,disp45,disp55,disp65,disp75,disp85
regions=0
enabled=0

[disp46]
method=activearea
rect=152,10,264,30
bitmap=slot_switch_l.png
action=toggle
target=disp25,disp46,disp56,disp66,disp76,disp86
regions=0
enabled=0

[disp47]
method=activearea
rect=152,32,264,52
bitmap=slot_switch_l.png
action=toggle
target=disp24,disp47,disp57,disp67,disp77,disp87
regions=0
enabled=0

[disp48]
method=activearea
rect=152,54,264,74
bitmap=slot_switch_l.png
action=toggle
target=disp23,disp48,disp58,disp68,disp78,disp88
regions=0
enabled=0

[disp49]
method=activearea
rect=152,76,264,96
bitmap=slot_switch_l.png
action=toggle
target=disp22,disp49,disp59,disp69,disp79,disp89
regions=0
enabled=0

[disp50]
method=activearea
rect=152,98,264,118
bitmap=slot_switch_l.png
action=toggle
target=disp21,disp50,disp60,disp70,disp80,disp90
regions=0
enabled=0

;switch slots on / show slot name (disabled)
[disp51]
method=text
font=slot_disabled
value=slot1_name
rect=24,9,144,31
digits=15
enabled=0
alpha_val=120

[disp52]
method=text
font=slot_disabled
value=slot2_name
rect=24,31,144,53
digits=15
enabled=0
alpha_val=120

[disp53]
method=text
font=slot_disabled
value=slot3_name
rect=24,53,144,75
digits=15
enabled=0
alpha_val=120

[disp54]
method=text
font=slot_disabled
value=slot4_name
rect=24,75,144,97
digits=15
enabled=0
alpha_val=120

[disp55]
method=text
font=slot_disabled
value=slot5_name
rect=24,97,144,119
digits=15
enabled=0
alpha_val=120

[disp56]
method=text
font=slot_disabled
value=slot6_name
rect=150,9,270,31
digits=15
enabled=0
alpha_val=120

[disp57]
method=text
font=slot_disabled
value=slot7_name
rect=150,31,270,53
digits=15
enabled=0
alpha_val=120

[disp58]
method=text
font=slot_disabled
value=slot8_name
rect=150,53,270,75
digits=15
enabled=0
alpha_val=120

[disp59]
method=text
font=slot_disabled
value=slot9_name
rect=150,75,270,97
digits=15
enabled=0
alpha_val=120

[disp60]
method=text
font=slot_disabled
value=slot10_name
rect=150,97,270,119
digits=15
enabled=0
alpha_val=120

;switch slots off / toggle disps
[disp61]
method=activearea
rect=26,10,138,30
bitmap=slot_switch_l.png
action=toggle
target=disp30,disp41,disp51,disp61,disp71,disp81
regions=0

[disp62]
method=activearea
rect=26,32,138,52
bitmap=slot_switch_l.png
action=toggle
target=disp29,disp42,disp52,disp62,disp72,disp82
regions=0

[disp63]
method=activearea
rect=26,54,138,74
bitmap=slot_switch_l.png
action=toggle
target=disp28,disp43,disp53,disp63,disp73,disp83
regions=0

[disp64]
method=activearea
rect=26,76,138,96
bitmap=slot_switch_l.png
action=toggle
target=disp27,disp44,disp54,disp64,disp74,disp84
regions=0

[disp65]
method=activearea
rect=26,98,138,118
bitmap=slot_switch_l.png
action=toggle
target=disp26,disp45,disp55,disp65,disp75,disp85
regions=0

[disp66]
method=activearea
rect=152,10,264,30
bitmap=slot_switch_l.png
action=toggle
target=disp25,disp46,disp56,disp66,disp76,disp86
regions=0

[disp67]
method=activearea
rect=152,32,264,52
bitmap=slot_switch_l.png
action=toggle
target=disp24,disp47,disp57,disp67,disp77,disp87
regions=0

[disp68]
method=activearea
rect=152,54,264,74
bitmap=slot_switch_l.png
action=toggle
target=disp23,disp48,disp58,disp68,disp78,disp88
regions=0

[disp69]
method=activearea
rect=152,76,264,96
bitmap=slot_switch_l.png
action=toggle
target=disp22,disp49,disp59,disp69,disp79,disp89
regions=0

[disp70]
method=activearea
rect=152,98,264,118
bitmap=slot_switch_l.png
action=toggle
target=disp21,disp50,disp60,disp70,disp80,disp90
regions=0

;switch slots on / show slot name (enabled)
[disp71]
method=text
font=slot_enabled
value=slot1_name
rect=24,9,144,31
digits=15

[disp72]
method=text
font=slot_enabled
value=slot2_name
rect=24,31,144,53
digits=15

[disp73]
method=text
font=slot_enabled
value=slot3_name
rect=24,53,144,75
digits=15

[disp74]
method=text
font=slot_enabled
value=slot4_name
rect=24,75,144,97
digits=15

[disp75]
method=text
font=slot_enabled
value=slot5_name
rect=24,97,144,119
digits=15

[disp76]
method=text
font=slot_enabled
value=slot6_name
rect=150,9,270,31
digits=15

[disp77]
method=text
font=slot_enabled
value=slot7_name
rect=150,31,270,53
digits=15

[disp78]
method=text
font=slot_enabled
value=slot8_name
rect=150,53,270,75
digits=15

[disp79]
method=text
font=slot_enabled
value=slot9_name
rect=150,75,270,97
digits=15

[disp80]
method=text
font=slot_enabled
value=slot10_name
rect=150,97,270,119
digits=15

;graphs below slot text
[disp81]
value=slot1_speed
method=animation
rect=20,28,144,30
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,0,240,192,0,240,192

[disp82]
value=slot2_speed
method=animation
rect=20,50,144,52
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,60,243,192,60,243,192

[disp83]
value=slot3_speed
method=animation
rect=20,72,144,74
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,181,240,192,181,240,192

[disp84]
value=slot4_speed
method=animation
rect=20,94,144,96
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,211,202,220,211,202,220

[disp85]
value=slot5_speed
method=animation
rect=20,116,144,118
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,240,240,192,240,240,192

[disp86]
value=slot6_speed
method=animation
rect=146,28,270,30
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,271,192,228,271,192,228

[disp87]
value=slot7_speed
method=animation
rect=146,50,270,52
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,301,255,192,301,255,192

[disp88]
value=slot8_speed
method=animation
rect=146,72,270,74
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,31,255,255,31,255,255

[disp89]
value=slot9_speed
method=animation
rect=146,94,270,96
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400

[disp90]
value=slot10_speed
method=animation
rect=146,116,270,118
bitmap=slot_bar_l.png
frames=63
min=0
max=100
updatetime=400
transform1=108,254,191,109,255,192,0,0,153,0,0,153

; show/hide slot settings
[disp91]
value=open
method=animation
rect=0,0,292,126
bitmap=left_small_l.png
frames=1
force_blit=1

[disp92]
method=activearea
rect=269,46,283,78
bitmap=button_out_l.png
action=toggle
target=disp31,disp32,disp33,disp91,disp92,disp93,disp98,disp99
blend_in=128
blend_time=200

[disp93]
method=activearea
rect=3,46,17,78
bitmap=button_in_l.png
action=toggle
target=disp31,disp32,disp33,disp91,disp92,disp93,disp98,disp99
blend_in=128
blend_time=200
enabled=0

[disp94]
method=activearea
rect=474,53,499,73
bitmap=tcp_udp_l.png
action=toggle
regions=0
target=disp10,disp11,disp94,disp95
blend_in=128
blend_time=200

[disp95]
method=activearea
rect=474,53,499,73
bitmap=tcp_l.png
action=toggle
regions=0
target=disp11,disp12,disp95,disp96
blend_in=128
blend_time=200
enabled=0

[disp96]
method=activearea
rect=474,53,499,73
bitmap=udp_l.png
action=toggle
regions=0
target=disp12,disp10,disp96,disp94
blend_in=128
blend_time=200
enabled=0

[disp97]
method=activearea
value=open
rect=284,76,506,120
bitmap=help_l.png
action=exec
target=http://www.cfos.de/$l/cfosspeed/documentation/status.htm
regions=0
blend_in=128
blend_time=200
transform1=none

[disp98]
method=activearea
rect=2,108,18,124
bitmap=button_color_l.png
action=change_skin
parameters=~i\ta_insight_skin\net08_l.ini
regions=0
blend_in=128
blend_time=200
enabled=0

[disp99]
method=activearea
rect=268,108,284,124
bitmap=button_color_l.png
action=change_skin
parameters=~i\ta_insight_skin\net08_l.ini
regions=0
blend_in=128
blend_time=200

[disp101]
method=activearea
action=toggle
regions=0
rect=285,11,331,45
bitmap=var_switch_l.png
target=disp19, disp_txs
alpha_val=185

[disp102]
value=expired
method=animation
bitmap=expired_l.png
rect=340,11,448,119
min=0
max=1
frames=2

; activate message button
[disp103]
products=cfosspeed
method=activate
value=msg_avail
min=1
max=1
target=disp104

[disp104]
products=cfosspeed
method=activearea
bitmap=message_l.png
rect=295,4,483,122
action=show_message
print_allowed=0
regions=0
blend_in=128
blend_time=200
